Ability for admins to lock certain templates, hostgroups, and disk layouts from editing
Description

I'm setting up a server for use by multiple organizations.

I'd like to provide them with access to some base working kickstarts, snippets, pxe templates, disk layouts, and hostgroups to get

them started.

At the same time I am expecting at least some people will want to create, edit, and delete templates, but I fully expect that if I give full

access someone is going to break one of the ones shared to all.

So my options seem to be either revoking at least edit/delete which makes create less appealing as well or making 13 copies of each

(13 orgs times 8 templates/layouts off the top of my head) template, disk layout, and hostgroup we use for each org, so they will only

harm their own org if they break something.

Neither seems like a very good approach.

Related issues:

Related to Foreman - Tracker #6631: Provisioning Template Improvements New 07/16/2014

Related to Foreman - Feature #1646: Add feature to clone provisioning templates Closed 05/22/2012

Related to Foreman - Feature #3103: Read only provisioning/config templates f... Closed 09/17/2013

History

#1 - 03/11/2013 04:48 AM - Ohad Levy

I would assume is relevant to parameters? (class vars, smart vars etc)

#2 - 03/11/2013 04:46 PM - Anonymous

It might be helpful to be able to lock them as well, but I don't think I'm as immediately concerned about them. Sam mentioned the idea of an acl

system as well, which would be great. But I would settle for being able to lock certain ones down.

#3 - 07/16/2014 05:45 AM - Stephen Benjamin

- Related to Tracker #6631: Provisioning Template Improvements added

#4 - 07/30/2014 08:32 AM - Stephen Benjamin

- Related to Feature #1646: Add feature to clone provisioning templates added

#5 - 07/30/2014 08:32 AM - Stephen Benjamin

- Related to Feature #3103: Read only provisioning/config templates for plugins added

#6 - 02/23/2017 05:11 AM - Marek Hulán

- Description updated

- Status changed from New to Resolved

I think one can achieve all of that already with granular permission system and in case of partition tables and provisioning templates, one could even

use the locking mechanism. Please let me know if I misunderstood the request, I'd reopen the issue.

Powered by TCPDF (www.tcpdf.org)

05/20/2024 1/1

http://www.tcpdf.org

